Install-dep-deb

From Koha Wiki

Jump to: navigation, search
Obsolete
Note.jpg

WARNING! This page is obsolete.
This page is no longer correct and exists for historical reasons only.


#!/bin/sh
sudo aptitude update
sudo aptitude install at
sudo aptitude install apache2
sudo aptitude install build-essential make daemon gcc gettext
sudo aptitude install git-core git-email cvs
sudo aptitude install idzebra-2.0 idzebra-2.0-common idzebra-2.0-doc idzebra-2.0-utils
sudo aptitude install libalgorithm-checkdigits-perl libauthen-cas-client-perl libbarcode-code128-perl libbiblio-endnotestyle-perl
sudo aptitude install libbusiness-isbn-data-perl libbusiness-isbn-perl libbusiness-issn-perl
sudo aptitude install libcgi-session-perl libcgi-session-serialize-yaml-perl
sudo aptitude install libclass-accessor-perl libclass-factory-util-perl
sudo aptitude install libdata-ical-perl
sudo aptitude install libdate-calc-perl libdate-ical-perl libdate-manip-perl
sudo aptitude install libdatetime-format-mail-perl libdatetime-format-strptime-perl libdatetime-format-w3cdtf-perl libdatetime-locale-perl libdatetime-perl libdatetime-timezone-perl
sudo aptitude install libdbd-mysql-perl libdbd-mysql-perl libdbd-sqlite2-perl libdbi-perl libdbi-perl
sudo aptitude install libdigest-sha1-perl libdublincore-record-perl libmarc-crosswalk-dublincore-perl libemail-date-perl
sudo aptitude install libgcrypt11 libgcrypt11-dev
sudo aptitude install libgd-barcode-perl libgd-gd2-perl
sudo aptitude install libhtml-scrubber-perl libhtml-tagset-perl libhtml-template-pro-perl libhttp-oai-perl
sudo aptitude install libidzebra-2.0 libidzebra-2.0-dev libidzebra-2.0-mod-alvis libidzebra-2.0-mod-grs-marc libidzebra-2.0-mod-grs-regx libidzebra-2.0-mod-grs-xml libidzebra-2.0-mod-text libidzebra-2.0-modules
sudo aptitude install libimage-magick-perl libgraphics-magick-perl libjson-perl
sudo aptitude install liblingua-ispell-perl liblingua-stem-perl liblingua-stem-snowball-perl
sudo aptitude install liblist-moreutils-perl
sudo aptitude install liblocale-currency-format-perl liblocale-gettext-perl liblocale-po-perl
sudo aptitude install libmail-sendmail-perl
sudo aptitude install libmarc-charset-perl libmarc-record-perl libmarc-xml-perl
sudo aptitude install libmemoize-memcached-perl libmime-lite-perl libmodule-install-perl libmysqlclient15-dev
sudo aptitude install libnet-ldap-filterbuilder-perl libnet-ldap-perl libnet-server-perl libnet-z3950-zoom-perl
sudo aptitude install libnumber-format-perl
sudo aptitude install libpdf-api2-perl libpdf-api2-simple-perl libpdf-reuse-barcode-perl libpdf-reuse-perl libpdf-table-perl
sudo aptitude install libpoe-perl libschedule-at-perl libsms-send-perl libstorable-perl libtemplate-perl
sudo aptitude install libtext-charwidth-perl libtext-csv-encoded-perl libtext-csv-perl libtext-csv-xs-perl libtext-iconv-perl libtext-iconv-perl libtext-wrapi18n-perl
sudo aptitude install libtimedate-perl libtime-duration-perl libtime-format-perl libtime-piece-perl
sudo aptitude install libuniversal-require-perl libunix-syslog-perl liburi-perl
sudo aptitude install libxml2 libxml2-dev libxml2-utils
sudo aptitude install libxml-dom-perl libxml-dumper-perl libxml-libxml-perl libxml-libxslt-perl libxml-namespacesupport-perl libxml-parser-perl libxml-perl libxml-regexp-perl libxml-rss-perl libxml-sax-writer-perl libxml-simple-perl libxml-simple-perl libxml-xslt-perl
sudo aptitude install libxslt1.1 libxslt1-dev
sudo aptitude install libyaml-perl libyaml-syck-perl libyaml-syck-perl
sudo aptitude install yaz yaz-doc libyaz libyaz-dev yaz-icu
Note.jpg

WARNING! This page is obsolete.
This page is no longer correct and exists for historical reasons only.

Personal tools